The engines plugin is now installed, or is it?

i’ve installed the engines plug-in, and got this lovely message: The
engines plugin is now installed. Feels good, right? Yeah.

also i’ve added these lines to my environment.rb

ADMIN_PAGE_DIR=“page”
Engines.start :admin_pages

and if i try to start WEBrick, i get these messages.

What can be possible wrong?

P.S: I’ve also downloaded the admin_pages engine to plug-ins folder and
made the necessary changes in routes.rb, but this doesn’t seem an
admin_pages engine specific error.

thanks,
alp

C:\Users\ungaro\Documents\Aptana IDE Beta\1000>ruby script/server
=> Booting WEBrick…
./script/…/config/…/config/environment.rb:65: undefined method start' for Eng ines:Module (NoMethodError) from F:/apache/xampp/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require .rb:27:ingem_original_require’
from
F:/apache/xampp/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require
.rb:27:in require' from F:/apache/xampp/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib /active_support/dependencies.rb:495:inrequire’
from
F:/apache/xampp/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib
/active_support/dependencies.rb:342:in new_constants_in' from F:/apache/xampp/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib /active_support/dependencies.rb:495:inrequire’
from
F:/apache/xampp/ruby/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/command
s/servers/webrick.rb:52
from
F:/apache/xampp/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require
.rb:27:in gem_original_require' from F:/apache/xampp/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require .rb:27:inrequire’
from
F:/apache/xampp/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib
/active_support/dependencies.rb:495:in require' from F:/apache/xampp/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib /active_support/dependencies.rb:342:innew_constants_in’
from
F:/apache/xampp/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib
/active_support/dependencies.rb:495:in require' from F:/apache/xampp/ruby/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/command s/server.rb:39 from F:/apache/xampp/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require .rb:27:ingem_original_require’
from
F:/apache/xampp/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require
.rb:27:in `require’
from script/server:3

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs